<template>
  <div>
    <div :class="backgroundAuth" @click="hideRegister"></div>
    <div class="dialog-continue" v-if="authType === 'continue-register'">
      <h2>GraffSounds</h2>
      <h2>Almost done</h2>
      <a-row class="date-picker">
        <a-col :span="24" class="text-left mb-2">What's your date birth?</a-col>
        <a-col span="8">
          <a-input class="date-input" type="number" size="large" placeholder="Day" v-model="userDate"></a-input>
        </a-col>
        <a-col span="8">
          <a-input class="date-input" type="number" size="large" placeholder="Month" v-model="userMonth"></a-input>
        </a-col>
        <a-col span="8">
          <a-input class="date-input" type="number" size="large" placeholder="Year" v-model="userYear"></a-input>
        </a-col>
      </a-row>
      <a-row>
        <a-col :span="24" class="mb-2 text-left">
          <span>What's your gender?</span>
        </a-col>
        <a-col :span="24">
          <a-button class="btn-radio">
            <input type="radio" name="gender" value="female" id="female-radio" v-model="gender" />
            <label for="female-radio">Female</label>
          </a-button>
        </a-col>
        <a-col :span="24">
          <a-button class="btn-radio">
            <input type="radio" name="gender" value="male" id="male-radio" v-model="gender" />
            <label for="male-radio">Male</label>
          </a-button>
        </a-col>
        <a-col :span="24">
          <a-button class="btn-radio">
            <input type="radio" name="gender" value="non-binary" id="non-radio" v-model="gender" />
            <label for="non-radio">Non-binary</label>
          </a-button>
        </a-col>
      </a-row>
      <p class="continue" @click="continueEnd">CONTINUE</p>
      <br />
      <div class="mt-3">
        <b style="text-align: center; color: #ffffff" @click="openRegister">BACK</b>
      </div>
    </div>
  </div>
</template>

<script>
import service from "../service.js";

export default {
  props: {
    authType: String,
    userInfoProp: Object
  },
  data() {
    return {
      userDate: 1,
      userMonth: 1,
      userYear: 1990,
      gender: "female"
    };
  },
  methods: {
    hideRegister() {
      this.$emit("hideRegister");
    },
    openRegister() {
      this.$emit("openRegister");
    },
    async continueEnd() {
      const { name: name, mail: username, pwd: password } = this.userInfoProp;

      if (
        Number(this.userDate) < 1 ||
        Number(this.userDate) > 31 ||
        Number(this.userMonth) < 1 ||
        Number(this.userMonth) > 12 ||
        Number(this.userYear) < 1900 ||
        !this.gender ||
        !name
      )
        return;

      const user = {
        gender: this.gender,
        name,
        username,
        password
      };

      let res = await service.get("/user/dang-ky", { params: user});

      if (!res || !res.data || res.data.code !== 200 || res.data.status !== 'SUCCESS') return;
      this.emitLogin({username, password, login_type: 'n'});
      console.log(res);
    },
    emitLogin(params) {
      this.hideRegister();
      this.$emit('callServiceLogin', params);
    }
  },
  computed: {
    backgroundAuth: function() {
      return this.authType === "continue-register" ? "background-auth-continue" : "";
    }
  }
};
</script>

<style scoped>
.background-auth-continue {
  width: 100%;
  height: 100%;
  background: #000000cc;
  z-index: 999;
  position: absolute;
}
.dialog-continue {
  width: 420px;
  height: 600px;
  max-height: 90vh;
  border-radius: 10px;
  color: #fff;
  background-color: #000000;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 20px;
  text-align: center;
  z-index: 99999;
}
.date-picker {
  margin: 15px 0;
}
.date-input {
  background: #4f4d4d !important;
  border: unset !important;
  color: #fff;
  width: 90px !important;
}
.date-input::-webkit-outer-spin-button,
.date-input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.btn-radio {
  background-color: transparent !important;
  border: 1px solid #fff !important;
  width: 100%;
  height: 50px !important;
  text-align: left;
  margin-bottom: 10px !important;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.btn-radio label {
  margin-left: 10px;
  color: #fff !important;
  flex-grow: 1;
}
.login {
  background: #ffffff;
  padding-top: 10px;
  padding-bottom: 10px;
  display: block;
  border-radius: 10px;
  color: #000000;
  font-weight: bold;
}
.text-left {
  text-align: left;
  margin: 10px 0;
}
.sign-facebook {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  color: #fff;
}
.login-social .login-google {
  width: 100%;
  display: inline-block;
  padding: 10px 0;
  border: 1px solid #fff;
  border-radius: 25px;
  font-weight: 600;
  margin-top: 15px;
  color: #fff;
}
.login-facebook .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 13px;
  font-size: 18px;
}
.login-google .icon-btn-login {
  position: absolute;
  left: 25px;
  top: 28px;
  font-size: 18px;
}
.continue {
  width: 100%;
  height: 50px;
  margin-top: 22px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 25px;
  border: 1px solid #0c9f25;
  color: #fff;
  background: #0c9f25;
  cursor: pointer;
}
.continue:hover {
  color: #fff;
  opacity: 0.8;
  transition: 0.3s;
}
@media only screen and (max-width: 768px) {
  .dialog-s {
    width: 350px;
    height: 650px;
    border-radius: 5px;
    background-color: #000000;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 20px;
    text-align: center;
  }
  .login {
    background: #ffffff;
    padding-top: 10px;
    padding-bottom: 10px;
    display: block;
    border-radius: 10px;
    color: #000000;
    font-weight: bold;
  }
}
</style>
